package ei.game.network.entities;

import ei.engine.math.Vector2f;
import ei.engine.math.Vector2i;
import ei.game.gamestate.InGameState;
import ei.game.scene.weapons.Weapon;

public abstract class NetworkWepon extends Weapon{

	public NetworkWepon(Vector2f startPos) {
		super(startPos);
	}

	public void launch(Vector2i target) {
		if(!InGameState.isNetwork()){
			super.launch(target);
		}
		else{
			
		}
	}
	
	public void update() {
		if(!InGameState.isNetwork()){
			super.update();
		}
		else{
			
		}
	}
}
